%define LANG pl
%define version 0.3
%define release 5mdk

Summary: Man pages in polish language
Summary(pl): Strony man w polskiej wersji jezykowej
Name: man-pages-%{LANG}
Version: %{version}
Release: %{release}
Packager: Pawel Jablonski <pj@linux-mandrake.com>
Copyright: GPL
Group: System/Internationalization
#Group(pl): Dokumentacja
Source: http:/ptm.linux.pl/man-PL.tar.bz2
Source1: makewhatis.%{LANG}.bz2
Icon: books-%{LANG}.xpm
URL: http://ptm.linux.pl/
Buildroot: /var/tmp/%{name}
Prereq: sed grep man
Autoreqprov: false
BuildArchitectures: noarch
Requires: locales-%{LANG}
Obsoletes: man-%{LANG}, manpages-%{LANG}
Provides: man-%{LANG}

%description
A collection of man pages for Linux in polish language

%description -l pl
Zbir stron man dla Linuxa w jzyku polskim

%prep
%setup -n pl_PL

%build
for i in 1 2 3 4 5 6 7 8; do
        rm -rf man$i/CVS
done

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/man/%{LANG}/
mkdir -p $RPM_BUILD_ROOT/var/catman/%{LANG}/cat{1,2,3,4,5,6,7,8,9,n}

for i in 1 2 3 4 5 6 7 8; do
	cp -avrf man$i $RPM_BUILD_ROOT/usr/man/%{LANG}/
done

# those files conflict whith rpm package
rm $RPM_BUILD_ROOT/usr/man/pl/man8/rpm.8

# spechelper fails here!!!
find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9f {} \;

mkdir -p $RPM_BUILD_ROOT/usr/sbin
bzcat $RPM_SOURCE_DIR/makewhatis.%{LANG}.bz2 > \
        $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}
chmod a+rx $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}

$RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG} \
	$RPM_BUILD_ROOT/usr/man/%{LANG}

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron << EOF
#!/bin/bash
/usr/sbin/makewhatis.%{LANG} /usr/man/%{LANG}
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron

%post
/etc/cron.weekly/makewhatis-%{LANG}.cron

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%{LANG}, if there isn't any man page
   ## directory /usr/man/%{LANG}
   if [ ! -d /usr/man/%{LANG} ] ; then
       rm -rf /var/catman/%{LANG}
   fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,man,0755)
%doc FAQ robotnicy
%defattr(644,root,man,2755)
%dir /usr/man/%{LANG}
/usr/man/%{LANG}/man*
%ghost /usr/man/%{LANG}/whatis
%attr(775,root,man)/var/catman/%{LANG}
%attr(755,root,root)/usr/sbin/makewhatis.%{LANG}
%config %attr(755,root,root)/etc/cron.weekly/makewhatis-%{LANG}.cron

%changelog


* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.3-5mdk
- Group: System/Internationalization
- dir permissions

* Mon Jan 10 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- removed rpm(8), it conflicts with file provided by rpm

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved makewhatis.%{LANG} from /usr/local/sbin to /usr/sbin

* Tue Oct 21 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed Requires typo

*Sat Oct 9 1999 Pawe Jaboski <pj@linux-mandrake.com>
- updated man pages

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added makewhatis.pl and its cron entry
- use a lot of macro %{LANG} (that helps me to do cut-n-paste between
  various man-pages-* packages to add new ideas/features on all of them :) )

* Fri Jul 19 1999 Pawe Jaboski <pj@linux-mandrake.com>
- Initial Mandrake rpm version

